/*
 *  good.cc
 *
 *  Copyright (C) 2004 Moritz Mhlenhoff
 *
 *  Freebooters is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.

 *  Freebooters is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with Freebooters; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "good.h"
#include <string>

using namespace std;

Good::Good()
{
   name = "";
   stock = 0;
   demand = -1;
   production = -1;
   price = -1;
}

Good::Good(Savegame* sg)
{
   name = sg->read_str();
   stock = sg->read_int();
   demand = sg->read_int();
   price = sg->read_int();
   production = sg->read_int();
}

void Good::set_name(std::string sname)
{
   name = sname;
}

void Good::set_demand(int sdemand)
{
   demand = sdemand;
}


// GAMEPLAYFIXME, this formula is obviously not perfect yet :-)
void Good::recalculate_price()
{
   
}

void Good::set_price(int sprice)
{
   price = sprice;
}

void Good::set_stock(int sstock)
{
   Good::stock = sstock;
}

void Good::add_stock(int sstock)
{
   Good::stock += sstock;
}

void Good::set_production(int sprod)
{
   production = sprod;
}

std::string Good::get_name()
{
   return name;
}

int Good::get_demand()
{
   return demand;
}

int Good::get_production()
{
   return production;
}

int Good::get_price()
{
   return price;
}

int Good::get_stock()
{
   return stock;
}

void Good::save_to_file(Savegame* sg)
{
   sg->writeout(name);
   sg->writeout(stock);
   sg->writeout(demand);
   sg->writeout(price);
   sg->writeout(production);
}













