#ifndef READDATA_H
#define READDATA_H

#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <stdio.h>
#include <map>

typedef std::map<std::string,std::string> data_list;

class readdata
{
   data_list datalist;

public:
   readdata(std::string dataset);
   readdata();
   std::string get_str(std::string data);
   std::string readdata::get_str_blanked(std::string data);
   int get_int(std::string data);
   float get_float(std::string data);
   bool get_bool(std::string data);

private:
   void parse_file_concrete(std::string filepath);
   std::string rem_blanks(std::string str);

};   

#endif
