#ifndef GOOD_H
#define GOOD_H

#include <string>
#include "savegame.h"

class Savegame;

class Good
{
public:
   Good();
   Good::Good(Savegame* sg);

   void set_name(std::string);
   void set_demand(int);
   void set_price(int);
   void set_stock(int);
   void set_production(int);

   void add_demand(int);
   void add_price(int);

   void add_stock(int);
   void add_production(int);

   std::string get_name();
   int get_demand();
   int get_price();
   int get_stock();
   int get_production();

   void recalculate_price();

   void save_to_file(Savegame* sg);

private:
   std::string name;
   int stock;
   int demand;
   int price;
   int production;
};


#endif










