#include <vector>
#include <SDL.h>
#include <SDL_image.h>
#include <SDL_mixer.h>

class Splash{
 public:
  Splash();
  void addSplash(int,int);
  void drawSplashes(SDL_Surface*);
  void clear();
  int getSize();
 private:
  Mix_Chunk *splash_sound;
  SDL_Surface* animation;
  SDL_Rect srcrect;
  SDL_Rect dstrect;

  struct asplash {
    int x;
    int y;
    int frame;
  };
  
  std::vector<asplash> splashes;
};


